# Visualization
TKService
MFT

# MFT_ListOfFontReference Class Reference

`#include <MFT_ListOfFontReference.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| MFT_ListOfFontReference ()
Standard_EXPORT void | Clear ()
| ~MFT_ListOfFontReference ()
Standard_EXPORT const MFT_ListOfFontReference & | Assign (const MFT_ListOfFontReference &Other)
const MFT_ListOfFontReference & | operator= (const MFT_ListOfFontReference &Other)
Standard_EXPORT void | Append (const Standard_Integer &T)
void | Append (MFT_ListOfFontReference &S)
Standard_EXPORT void | Prepend (const Standard_Integer &T)
void | Prepend (MFT_ListOfFontReference &S)
void | InsertBefore (const Standard_Integer Index, const Standard_Integer &T)
void | InsertBefore (const Standard_Integer Index, MFT_ListOfFontReference &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Standard_Integer &T)
void | InsertAfter (const Standard_Integer Index, MFT_ListOfFontReference &S)
Standard_EXPORT const Standard_Integer & | First () const
Standard_EXPORT const Standard_Integer & | Last () const
void | Split (const Standard_Integer Index, MFT_ListOfFontReference &Sub)
Standard_EXPORT const Standard_Integer & | Value (const Standard_Integer Index) const
const Standard_Integer & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Integer &I)
Standard_EXPORT Standard_Integer & | ChangeValue (const Standard_Integer Index)
Standard_Integer & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | MFT_ListOfFontReference (const MFT_ListOfFontReference &Other)

## Constructor & Destructor Documentation

MFT_ListOfFontReference::MFT_ListOfFontReference | ( |  | ) |

MFT_ListOfFontReference::~MFT_ListOfFontReference | ( |  | ) | `[inline]`

Standard_EXPORT MFT_ListOfFontReference::MFT_ListOfFontReference | ( | const MFT_ListOfFontReference & | Other | ) | `[private]`

## Member Function Documentation

void MFT_ListOfFontReference::Append | ( | MFT_ListOfFontReference & | S | ) |

Standard_EXPORT void MFT_ListOfFontReference::Append | ( | const Standard_Integer & | T | ) |

Standard_EXPORT const MFT_ListOfFontReference& MFT_ListOfFontReference::Assign | ( | const MFT_ListOfFontReference & | Other | ) |

Standard_EXPORT Standard_Integer& MFT_ListOfFontReference::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MFT_ListOfFontReference::Clear | ( |  | ) |

Standard_EXPORT const Standard_Integer& MFT_ListOfFontReference::First | ( |  | ) | const

void MFT_ListOfFontReference::InsertAfter | ( | const Standard_Integer | Index,
|  | MFT_ListOfFontReference & | S
| ) |

Standard_EXPORT void MFT_ListOfFontReference::InsertAfter | ( | const Standard_Integer | Index,
|  | const Standard_Integer & | T
| ) |

void MFT_ListOfFontReference::InsertBefore | ( | const Standard_Integer | Index,
|  | MFT_ListOfFontReference & | S
| ) |

void MFT_ListOfFontReference::InsertBefore | ( | const Standard_Integer | Index,
|  | const Standard_Integer & | T
| ) |

Standard_EXPORT const Standard_Integer& MFT_ListOfFontReference::Last | ( |  | ) | const

void MFT_ListOfFontReference::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MFT_ListOfFontReference::operator new | ( | size_t | size | ) | `[inline]`

void* MFT_ListOfFontReference::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& MFT_ListOfFontReference::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Standard_Integer& MFT_ListOfFontReference::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const MFT_ListOfFontReference& MFT_ListOfFontReference::operator= | ( | const MFT_ListOfFontReference & | Other | ) | `[inline]`

void MFT_ListOfFontReference::Prepend | ( | MFT_ListOfFontReference & | S | ) |

Standard_EXPORT void MFT_ListOfFontReference::Prepend | ( | const Standard_Integer & | T | ) |

Standard_EXPORT void MFT_ListOfFontReference::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void MFT_ListOfFontReference::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MFT_ListOfFontReference::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Integer & | I
| ) |

void MFT_ListOfFontReference::Split | ( | const Standard_Integer | Index,
|  | MFT_ListOfFontReference & | Sub
| ) |

Standard_EXPORT const Standard_Integer& MFT_ListOfFontReference::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- MFT_ListOfFontReference.hxx